Subject: Re: TSO performance wrt 2.614

From: Stephen Hemminger <[email-masked]>
Date: Fri, 09 Mar 2007 08:18:54 -0800

anandvelu thulasiram wrote:
> Hi all,
>               I'm working on TCP segmentation Offload and I'm using
> Linux -2.6.14 kernel for this. I'm getting about a 6x increase in
> sending by turning off TCP segmentation offload. But When I turn on
> the TSO my performance is getting degraded.  But when I switched back
> to Linux
> 2.6.9 kernel I'm getting 16Mbps more when TSO is enabled.
>
> Is there any TSO patch for linux-2.6.14.
>
>
Which hardware and what is the network connection?
It turns out that older versions of TSO were violating internet 
congestion control
and not counting packets properly.